Bug 1394844 - Unexpected error when clicked on edit cloud provider after deleting cloud provider
Summary: Unexpected error when clicked on edit cloud provider after deleting cloud pro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.7.1
Assignee: Martin Hradil
QA Contact: Aziza Karol
URL:
Whiteboard: ui:sdn:error
Depends On: 1386232
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-14 15:00 UTC by Satoe Imaishi
Modified: 2017-02-27 19:14 UTC (History)
6 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1386232
Environment:
Last Closed: 2017-02-27 19:14:42 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 3 CFME Bot 2017-01-05 21:50:48 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/af14e693c490c85408ab6c7973ee25af73e662e4

commit af14e693c490c85408ab6c7973ee25af73e662e4
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Nov 11 16:07:13 2016 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jan 5 16:49:15 2017 -0500

    Merge pull request #12579 from himdel/bz1386232-provider-edit-exception
    
    EmsCommon#edit - catch exceptions from find_by_id_filtered and show a flash
    (cherry picked from commit f5c32984eaf9d5a55b21d44e4b0840144f17f741)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1394844

 app/controllers/ems_common.rb | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

Comment 4 Aziza Karol 2017-01-27 07:10:21 UTC
No error when clicked on edit cloud provider after deleting cloud provider

"Selected Cloud Provider no longer exists" flash message displayed.


Verified:5.7.1.0.20170124142149_8a5f4d5

Comment 6 errata-xmlrpc 2017-02-27 19:14:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.